<%/* If anybody knows a better way to delete with a limit and return the deleted items, be my guest. */%>
DELETE FROM
	archive_cache
WHERE
	ad_id IN (
		SELECT
			ad_id
		FROM
			archive_cache
		LIMIT <%%bulk_limit%>
	)
RETURNING ad_id
;
